Bug 1179322 - (CVE-2020-27767) VUL-0: CVE-2020-27767: ImageMagick: outside the range of representable values of type 'float' at MagickCore/quantum.h
(CVE-2020-27767)
VUL-0: CVE-2020-27767: ImageMagick: outside the range of representable values...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/272292/
CVSSv3.1:SUSE:CVE-2020-27767:5.3:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-11-27 11:23 UTC by Alexandros Toptsoglou
Modified: 2021-02-19 17:19 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandros Toptsoglou 2020-11-27 11:23:40 UTC
CVE-2020-27767

In ImageMagick, there are an outside the range of representable values of type 'float' at MagickCore/quantum.h:87 and outside the range of representable values of type 'unsigned char' at MagickCore/quantum.h.

Reference:
https://github.com/ImageMagick/ImageMagick/issues/1741

Upstream patch:
https://github.com/ImageMagick/ImageMagick/commit/564f2a35e523e2b6cce9485018157f03ec05a947

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1894687
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-27767
Comment 1 Alexandros Toptsoglou 2020-11-27 11:24:29 UTC
The POC is not available. Tracked as affected SLE11,SLE12,SLE15 and SLE15-SP2.
Comment 3 Petr Gajdos 2020-12-11 15:44:07 UTC
Will submit for 15sp2,15,12,11/ImageMagick.
Comment 4 Petr Gajdos 2020-12-11 16:39:17 UTC
Packages submitted. I believe all fixed.
Comment 9 Swamp Workflow Management 2021-01-15 20:22:53 UTC
SUSE-SU-2021:0153-1: An update that fixes 34 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1179202,1179208,1179212,1179221,1179223,1179240,1179244,1179260,1179268,1179269,1179276,1179278,1179281,1179285,1179311,1179312,1179313,1179315,1179317,1179321,1179322,1179327,1179333,1179336,1179338,1179339,1179343,1179345,1179346,1179347,1179361,1179362,1179397,1179753
CVE References: CVE-2020-25664,CVE-2020-25665,CVE-2020-25666,CVE-2020-25674,CVE-2020-25675,CVE-2020-25676,CVE-2020-27750,CVE-2020-27751,CVE-2020-27752,CVE-2020-27753,CVE-2020-27754,CVE-2020-27755,CVE-2020-27756,CVE-2020-27757,CVE-2020-27758,CVE-2020-27759,CVE-2020-27760,CVE-2020-27761,CVE-2020-27762,CVE-2020-27763,CVE-2020-27764,CVE-2020-27765,CVE-2020-27766,CVE-2020-27767,CVE-2020-27768,CVE-2020-27769,CVE-2020-27770,CVE-2020-27771,CVE-2020-27772,CVE-2020-27773,CVE-2020-27774,CVE-2020-27775,CVE-2020-27776,CVE-2020-29599
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    ImageMagick-7.0.7.34-10.9.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    ImageMagick-7.0.7.34-10.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2021-01-15 20:26:01 UTC
SUSE-SU-2021:14598-1: An update that fixes 19 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1179103,1179202,1179212,1179269,1179281,1179311,1179312,1179313,1179315,1179321,1179322,1179327,1179336,1179338,1179339,1179345,1179346,1179347,1179397
CVE References: CVE-2020-19667,CVE-2020-25664,CVE-2020-25666,CVE-2020-27751,CVE-2020-27752,CVE-2020-27753,CVE-2020-27754,CVE-2020-27755,CVE-2020-27759,CVE-2020-27760,CVE-2020-27761,CVE-2020-27763,CVE-2020-27765,CVE-2020-27767,CVE-2020-27768,CVE-2020-27769,CVE-2020-27771,CVE-2020-27772,CVE-2020-27775
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    ImageMagick-6.4.3.6-78.135.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    ImageMagick-6.4.3.6-78.135.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    ImageMagick-6.4.3.6-78.135.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    ImageMagick-6.4.3.6-78.135.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2021-01-18 14:21:51 UTC
SUSE-SU-2021:0156-1: An update that fixes 35 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1179103,1179202,1179208,1179212,1179221,1179223,1179240,1179244,1179260,1179268,1179269,1179276,1179278,1179281,1179285,1179311,1179312,1179313,1179315,1179317,1179321,1179322,1179327,1179333,1179336,1179338,1179339,1179343,1179345,1179346,1179347,1179361,1179362,1179397,1179753
CVE References: CVE-2020-19667,CVE-2020-25664,CVE-2020-25665,CVE-2020-25666,CVE-2020-25674,CVE-2020-25675,CVE-2020-25676,CVE-2020-27750,CVE-2020-27751,CVE-2020-27752,CVE-2020-27753,CVE-2020-27754,CVE-2020-27755,CVE-2020-27756,CVE-2020-27757,CVE-2020-27758,CVE-2020-27759,CVE-2020-27760,CVE-2020-27761,CVE-2020-27762,CVE-2020-27763,CVE-2020-27764,CVE-2020-27765,CVE-2020-27766,CVE-2020-27767,CVE-2020-27768,CVE-2020-27769,CVE-2020-27770,CVE-2020-27771,CVE-2020-27772,CVE-2020-27773,CVE-2020-27774,CVE-2020-27775,CVE-2020-27776,CVE-2020-29599
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    ImageMagick-7.0.7.34-3.90.1
SUSE Manager Retail Branch Server 4.0 (src):    ImageMagick-7.0.7.34-3.90.1
SUSE Manager Proxy 4.0 (src):    ImageMagick-7.0.7.34-3.90.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    ImageMagick-7.0.7.34-3.90.1
SUSE Linux Enterprise Server for SAP 15 (src):    ImageMagick-7.0.7.34-3.90.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    ImageMagick-7.0.7.34-3.90.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    ImageMagick-7.0.7.34-3.90.1
SUSE Linux Enterprise Server 15-LTSS (src):    ImageMagick-7.0.7.34-3.90.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    ImageMagick-7.0.7.34-3.90.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP1 (src):    ImageMagick-7.0.7.34-3.90.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    ImageMagick-7.0.7.34-3.90.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    ImageMagick-7.0.7.34-3.90.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    ImageMagick-7.0.7.34-3.90.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    ImageMagick-7.0.7.34-3.90.1
SUSE Enterprise Storage 6 (src):    ImageMagick-7.0.7.34-3.90.1
SUSE CaaS Platform 4.0 (src):    ImageMagick-7.0.7.34-3.90.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2021-01-22 14:17:15 UTC
openSUSE-SU-2021:0136-1: An update that fixes 35 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1179103,1179202,1179208,1179212,1179221,1179223,1179240,1179244,1179260,1179268,1179269,1179276,1179278,1179281,1179285,1179311,1179312,1179313,1179315,1179317,1179321,1179322,1179327,1179333,1179336,1179338,1179339,1179343,1179345,1179346,1179347,1179361,1179362,1179397,1179753
CVE References: CVE-2020-19667,CVE-2020-25664,CVE-2020-25665,CVE-2020-25666,CVE-2020-25674,CVE-2020-25675,CVE-2020-25676,CVE-2020-27750,CVE-2020-27751,CVE-2020-27752,CVE-2020-27753,CVE-2020-27754,CVE-2020-27755,CVE-2020-27756,CVE-2020-27757,CVE-2020-27758,CVE-2020-27759,CVE-2020-27760,CVE-2020-27761,CVE-2020-27762,CVE-2020-27763,CVE-2020-27764,CVE-2020-27765,CVE-2020-27766,CVE-2020-27767,CVE-2020-27768,CVE-2020-27769,CVE-2020-27770,CVE-2020-27771,CVE-2020-27772,CVE-2020-27773,CVE-2020-27774,CVE-2020-27775,CVE-2020-27776,CVE-2020-29599
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    ImageMagick-7.0.7.34-lp152.12.9.1
Comment 13 Swamp Workflow Management 2021-01-22 17:23:45 UTC
SUSE-SU-2021:0199-1: An update that fixes 32 vulnerabilities is now available.

Category: security (important)
Bug References: 1179103,1179202,1179208,1179212,1179223,1179240,1179244,1179260,1179268,1179269,1179278,1179281,1179285,1179311,1179312,1179313,1179315,1179317,1179321,1179322,1179327,1179333,1179336,1179338,1179339,1179343,1179345,1179346,1179347,1179361,1179362,1179397
CVE References: CVE-2020-19667,CVE-2020-25664,CVE-2020-25665,CVE-2020-25666,CVE-2020-25674,CVE-2020-25675,CVE-2020-25676,CVE-2020-27750,CVE-2020-27751,CVE-2020-27752,CVE-2020-27753,CVE-2020-27754,CVE-2020-27755,CVE-2020-27757,CVE-2020-27759,CVE-2020-27760,CVE-2020-27761,CVE-2020-27762,CVE-2020-27763,CVE-2020-27764,CVE-2020-27765,CVE-2020-27766,CVE-2020-27767,CVE-2020-27768,CVE-2020-27769,CVE-2020-27770,CVE-2020-27771,CVE-2020-27772,CVE-2020-27773,CVE-2020-27774,CVE-2020-27775,CVE-2020-27776
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    ImageMagick-6.8.8.1-71.154.1
SUSE OpenStack Cloud Crowbar 8 (src):    ImageMagick-6.8.8.1-71.154.1
SUSE OpenStack Cloud 9 (src):    ImageMagick-6.8.8.1-71.154.1
SUSE OpenStack Cloud 8 (src):    ImageMagick-6.8.8.1-71.154.1
SUSE OpenStack Cloud 7 (src):    ImageMagick-6.8.8.1-71.154.1
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    ImageMagick-6.8.8.1-71.154.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    ImageMagick-6.8.8.1-71.154.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    ImageMagick-6.8.8.1-71.154.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    ImageMagick-6.8.8.1-71.154.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    ImageMagick-6.8.8.1-71.154.1
SUSE Linux Enterprise Server 12-SP5 (src):    ImageMagick-6.8.8.1-71.154.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    ImageMagick-6.8.8.1-71.154.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    ImageMagick-6.8.8.1-71.154.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    ImageMagick-6.8.8.1-71.154.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    ImageMagick-6.8.8.1-71.154.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    ImageMagick-6.8.8.1-71.154.1
SUSE Enterprise Storage 5 (src):    ImageMagick-6.8.8.1-71.154.1
HPE Helion Openstack 8 (src):    ImageMagick-6.8.8.1-71.154.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Swamp Workflow Management 2021-01-24 11:17:09 UTC
openSUSE-SU-2021:0148-1: An update that fixes 35 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1179103,1179202,1179208,1179212,1179221,1179223,1179240,1179244,1179260,1179268,1179269,1179276,1179278,1179281,1179285,1179311,1179312,1179313,1179315,1179317,1179321,1179322,1179327,1179333,1179336,1179338,1179339,1179343,1179345,1179346,1179347,1179361,1179362,1179397,1179753
CVE References: CVE-2020-19667,CVE-2020-25664,CVE-2020-25665,CVE-2020-25666,CVE-2020-25674,CVE-2020-25675,CVE-2020-25676,CVE-2020-27750,CVE-2020-27751,CVE-2020-27752,CVE-2020-27753,CVE-2020-27754,CVE-2020-27755,CVE-2020-27756,CVE-2020-27757,CVE-2020-27758,CVE-2020-27759,CVE-2020-27760,CVE-2020-27761,CVE-2020-27762,CVE-2020-27763,CVE-2020-27764,CVE-2020-27765,CVE-2020-27766,CVE-2020-27767,CVE-2020-27768,CVE-2020-27769,CVE-2020-27770,CVE-2020-27771,CVE-2020-27772,CVE-2020-27773,CVE-2020-27774,CVE-2020-27775,CVE-2020-27776,CVE-2020-29599
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    ImageMagick-7.0.7.34-lp151.7.26.1
Comment 15 Alexandros Toptsoglou 2021-01-27 16:32:48 UTC
Done
Comment 17 Swamp Workflow Management 2021-02-19 17:19:26 UTC
SUSE-SU-2021:0528-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1179322,1181836
CVE References: CVE-2020-27767,CVE-2021-20176
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    ImageMagick-6.8.8.1-71.159.2
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    ImageMagick-6.8.8.1-71.159.2
SUSE Linux Enterprise Server 12-SP5 (src):    ImageMagick-6.8.8.1-71.159.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.